/download/:submission_id/:field_id/:index

Download submitted file for a specific submission. Returns binary encoding of file.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Download previously uploaded file via submission. This API will send a 302 redirect response and redirect to a signed URL to download the file. The file itself is not in the initial 302 redirect response itself.

For multi file fields, an index can be specified that will return a single image based off the order it was uploaded in. If no index is specified, the first file that was uploaded in the field will be returned.

GET /api/v2/download/12345/12345 HTTP/1.1
Host: www.formstack.com
Authorization: Bearer [[app:oauth_token]]
curl -O -H "Authorization: Bearer YOUR_APP_OAUTH_TOKEN" https://www.dev-formstack.com/api/v2/download/12345/12345
Path Params
int32
required

Submission ID.

int32
required

Field ID used to upload file.

int32
required

The number in order of which the files were uploaded in a field.

Query Params
string

Required for encrypted forms

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json